Package de.willuhn.jameica.hbci.io

# Class VelocityExporter.Filter

java.lang.Object
de.willuhn.jameica.hbci.io.VelocityExporter.Filter

Enclosing class:
  `VelocityExporter`

public class VelocityExporter.Filter extends Object
Hilfsklasse zum Escapen von Strings in der CSV-Datei.

## Constructor Summary

Constructors
Constructor
Description
`Filter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`escape(String s)`
Escaped den angegebenen String fuer CSV.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Filter

public Filter()

## Method Details

### escape

public String escape(String s)
Escaped den angegebenen String fuer CSV.

Parameters:
  `s` - der zu escapende String.
Returns:
  der escapte String.